@import '../colors';

.progress {
  align-content: flex-end;
  display: flex;
  height: 5px;
  background-color: @lightGrey;
  text-align: center;
  border-right: 2px solid @white;
  cursor: pointer;

  .stopped {
    background-color: @yellow;
  }
  .skipped {
    background-color: @grey;
  }
  .completed {
    background-color: @green;
  }
  .queued {
    background-color: @purple;
  }
  .error {
    background-color: @red;
  }
  .processing {
    background-color: @blue;
  }
  .paused {
    background-color: @yellow;
    background-image: linear-gradient(
      135deg,
      white 25%,
      transparent 25.5%,
      transparent 50%,
      white 50.5%,
      white 75%,
      transparent 75.5%,
      transparent
    );
    background-size: 20px 20px;
  }
  .black-listed {
    background-color: @purple;
    background-image: linear-gradient(
      135deg,
      white 25%,
      transparent 25.5%,
      transparent 50%,
      white 50.5%,
      white 75%,
      transparent 75.5%,
      transparent
    );
    background-size: 20px 20px;
  }
}

.progress.detailed {
  height: 36px;
  line-height: 36px;
  .skipped,
  .error {
    color: #fff;
  }
}

.future {
  text-align: center;
  display: inline-block;
  width: 100%;
}
